rules:
  # Bronze
  action-setup:
    status: exempt
    comment: |
      No custom actions are defined.
  appropriate-polling: done
  brands: done
  common-modules: done
  config-flow-test-coverage: done
  config-flow: done
  dependency-transparency: done
  docs-actions:
    status: exempt
    comment: |
      No custom actions are defined.
  docs-high-level-description: done
  docs-installation-instructions: done
  docs-removal-instructions: done
  entity-event-setup:
    status: exempt
    comment: |
      No explicit event subscriptions.
  entity-unique-id: done
  has-entity-name: done
  runtime-data: done
  test-before-configure: done
  test-before-setup: done
  unique-config-entry: done

  # Silver
  action-exceptions:
    status: exempt
    comment: |
      No custom actions are defined.
  config-entry-unloading: done
  docs-configuration-parameters: done
  docs-installation-parameters: done
  entity-unavailable: done
  integration-owner: done
  log-when-unavailable:
    status: done
    comment: |
      Handled by coordinator.
  parallel-updates: done
  reauthentication-flow: done
  test-coverage: done

  # Gold
  devices: done
  diagnostics: done
  discovery-update-info: done
  discovery:
    status: done
    comment: |
      DHCP & Bluetooth discovery.
  docs-data-update: done
  docs-examples: done
  docs-known-limitations: done
  docs-supported-devices: done
  docs-supported-functions: done
  docs-troubleshooting: done
  docs-use-cases: done
  dynamic-devices:
    status: done
    comment: |
      Device type integration, only possible for addon scale
  entity-category: done
  entity-device-class: done
  entity-disabled-by-default: done
  entity-translations: done
  exception-translations: done
  icon-translations: done
  reconfiguration-flow: done
  repair-issues: done
  stale-devices:
    status: done
    comment: |
      Device type integration, only possible for addon scale

  # Platinum
  async-dependency: done
  inject-websession:
    status: done
    comment: |
      Uses `httpx` session.
  strict-typing: done
